Subject: Re: [RFC PATCH v5 net-next 4/4] tcp: add NV congestion control

From: Lawrence Brakmo <[email-masked]>
Date: Wed, 26 Aug 2015 00:05:43 +0000

On 8/5/15, 5:51 PM, "[email-masked] on behalf of Kenneth Klette
Jonassen" <[email-masked] on behalf of [email-masked]> wrote:

>On Wed, Aug 5, 2015 at 3:39 AM, Lawrence Brakmo <[email-masked]> wrote:
>> This is a request for comments.
>
>Nice to see more development on delay-based congestion control.
>
>It would be good to see how NV stacks up against CDG. Any chance of
>adding cdg as a congestion control parameter to your experiments?

Done. I¹m updating the TCP-NV page with the updated results, should be
done by tomorrow (8/26).

>Experiments on NV without its temporary cwnd reductions would also be
>of interest -- to get a reference of how effective this mechanism is.

Done. It turns out that it only improves fairness a little but hurts
P99 latencies more significantly. So it is now off by default.
Thanks for making me re-examine this feature.